=== debian/changelog ===
breezy (3.0.0~bzr6819-1) unstable; urgency=medium

  * New upstream snapshot.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sun, 19 Nov 2017 19:11:16 +0000

breezy (3.0.0~bzr6803-1) unstable; urgency=medium

  * Bump standards version to 4.1.1 (no changes).
  * New upstream snapshot.
  * Drop 04_remove_outdated_docs, applied upstream.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sat, 11 Nov 2017 13:11:54 +0000

breezy (3.0.0~bzr6792-3) unstable; urgency=medium

  * Add 14_test_server: Fix test_server test failure on FreeBSD.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sun, 08 Oct 2017 16:30:44 +0100

breezy (3.0.0~bzr6792-2) unstable; urgency=medium

  * Add 04_remove_outdated_docs: Drop outdated documentation.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sat, 07 Oct 2017 16:56:42 +0100

breezy (3.0.0~bzr6792-1) unstable; urgency=medium

  * New upstream snapshot.
  * Add patch 02_diff_language: set LANGUAGE when running diff in tests.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Thu, 05 Oct 2017 23:48:13 +0100

breezy (3.0.0~bzr6791-1) unstable; urgency=medium

  * Use https VCS-* URLs in debian/control.
  * Depend on cython, breezy doesn't support pyrex.
  * New upstream snapshot.
  * Re-enable launchpad plugin - it should work offline now.
  * Depend on cython >= 0.17. Older versions don't support
    absolute_import.
  * Bump standards version to 4.1.0 (no changes).
  * Drop upstream (Bazaar) signing key.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Wed, 27 Sep 2017 23:35:10 +0100

breezy (3.0.0~bzr6772-1) unstable; urgency=medium

  * New upstream snapshot.
  * Run testsuite with LC_ALL=C.UTF-8. Closes: #873676

 -- Jelmer Vernooĳ <jelmer@debian.org>  Wed, 30 Aug 2017 05:09:42 +0000

breezy (3.0.0~bzr6753-1) unstable; urgency=medium

  * New upstream snapshot.
   + Use python-gpg rather than python-gpgme.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Thu, 10 Aug 2017 21:08:44 +0000

breezy (3.0.0~bzr6706-1) unstable; urgency=medium

  * Mark as supporting only Python >= 2.7.
  * Drop unnecessary Breaks that are only relevant for bzr.
  * Drop other bzr uploaders.
  * Add /usr/bin/brz as alternative for /usr/bin/bzr.
  * New upstream snapshot.
  * Drop patch 17_reproducible_makefile, applied upstream.
  * Drop patch 22_test_copy_to, applied upstream.
  * New upstream snapshot.
  * Bump standards version to 4.0.0 (no changes).

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sat, 17 Jun 2017 16:24:46 +0000

breezy (3.0.0~bzr6644-1) experimental; urgency=medium

  * Rename package to breezy and explain fork. Closes: #863744
  * New upstream snapshot.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Wed, 31 May 2017 01:08:44 +0000

bzr (2.7.0+bzr6619-8) unstable; urgency=high

  * Update 23_ssl_host: Actually pass server_hostname to
    ssl.socket_wrap.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Tue, 17 Jan 2017 00:20:26 +0000

bzr (2.7.0+bzr6619-7) unstable; urgency=medium

  * Add patch 23_ssl_host: avoid extra checking of server cert. Closes:
    #850960

 -- Jelmer Vernooĳ <jelmer@debian.org>  Wed, 11 Jan 2017 23:48:19 +0000

bzr (2.7.0+bzr6619-6) unstable; urgency=low

  * Disable lzma support on m68k, powerpcspe, sh4 where python-lzma is
    not available.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Mon, 26 Dec 2016 00:38:32 +0000

bzr (2.7.0+bzr6619-5) unstable; urgency=low

  * Order files by name when eliminating dupes, in an attempt to make
    the build reproducible.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sun, 25 Dec 2016 14:41:05 +0000

bzr (2.7.0+bzr6619-4) unstable; urgency=medium

  * Add patch 22_test_copy_to: skip test_copy_to, as it's failing on
    armel.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Wed, 07 Dec 2016 22:12:55 +0000

bzr (2.7.0+bzr6619-3) unstable; urgency=medium

  * Fix compatibility with python2.7 2.7.12-7. Patch by Vincent.
    Closes: #845335 LP: #1644003
  * Sanitize URL scheme when running HTTP proxy tests for curl.
    LP: #1645017

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sat, 26 Nov 2016 16:17:06 +0000

bzr (2.7.0+bzr6619-2) unstable; urgency=medium

  * Add 18_diff_binaries: With diffutils > 3.5, diff stop exiting with '2'
    on binary files. LP: #1622039
    Closes: #837268

  * Add 19_fix_long_creds: Fix http Basic auth with credentials longer
    than ~57 characters. LP: #1606203

 -- Vincent Ladeuil <v.ladeuil+lp@free.fr>  Fri, 09 Sep 2016 16:00:49 +0200

bzr (2.7.0+bzr6619-1) unstable; urgency=medium

  * Bump standards version to 3.9.8 (no changes).
  * New upstream snapshot.
  * Be consistent in what file is the target of symlinks when creating
    symlinks for documentation.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Mon, 06 Jun 2016 19:18:34 +0000

bzr (2.7.0-7) unstable; urgency=low

  * Add patch 17_reproducible_makefile: Fix order of documentation files
    processing in Makefiles, making build reproducible.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Mon, 06 Jun 2016 18:38:42 +0000

bzr (2.7.0-6) unstable; urgency=low

  * Set PYTHONHASHSEED to 0 when building sphinx docs, to force
    reproducible build.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sun, 15 May 2016 18:31:28 +0000

bzr (2.7.0-5) unstable; urgency=medium

  * Enable PGP checking of upstream tarball.
  * Cope with paramiko making argument to SFTPFile.prefetch() mandatory.
    Closes: #822116

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sat, 09 Apr 2016 14:45:18 +0000

bzr (2.7.0-4) unstable; urgency=low

  * Add patch 15_autodoc_source_epoch: Support SOURCE_DATE_EPOCH for
    timestamp used in manpages. Improves reproducibility.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sat, 09 Apr 2016 13:54:38 +0000

bzr (2.7.0-3) unstable; urgency=low

  * Add Vincent to uploaders.
  * Add 14_en_user_guide patch: Make bzr build more reproducible: when
    locale is set to French, don't leak French phrases into English user-
    reference. LP: #1565503
  * Bump standards version to 3.9.7 (no changes).

 -- Jelmer Vernooij <jelmer@debian.org>  Sun, 21 Feb 2016 23:27:48 +0000

bzr (2.7.0-2) unstable; urgency=medium


