=== debian/control ===
Source: breezy
Section: vcs
Priority: optional
Maintainer: Debian Breezy Maintainers <pkg-bazaar-maint@lists.alioth.debian.org>
Uploaders: Jelmer Vernooĳ <jelmer@debian.org>
Build-Depends: bash-completion,
               ca-certificates,
               cython-dbg (>= 0.17),
               debhelper (>= 9),
               fdupes,
               python (>= 2.6.6-3),
               python-all-dbg (>= 2.6.6-3),
               python-all-dev (>= 2.6.6-3),
               python-configobj (>= 4.7.2+ds-2),
               python-docutils,
               python-fastimport,
               python-lzma-dbg [!m68k !powerpcspe !sh4],
               python-meliae-dbg,
               python-paramiko (<< 1.12.0) | python-paramiko (>= 1.14.1),
               python-sphinx (>= 1.0.7+dfsg),
               python-subunit,
               python-testtools (>= 0.9.5~)
Build-Conflicts: python-pyftpdlib
Standards-Version: 4.1.1
X-Python-Version: >= 2.7
Vcs-Bzr: https://anonscm.debian.org/bzr/pkg-bazaar/breezy/3.0
Vcs-Browser: https://bzr.debian.org/loggerhead/pkg-bazaar/breezy/3.0
Homepage: https://launchpad.net/brz
XS-Testsuite: autopkgtest

Package: brz
Recommends: python-gpg
Architecture: all
Depends: python-breezy (<= ${source:Version}.1~),
         python-breezy (>= ${source:Version}),
         ${misc:Depends},
         ${python:Depends}
Conflicts: bzr (<< 2.7.0+bzr6622-1)
Suggests: brz-doc,
          python-breezy.tests,
          python-fastimport
Description: easy to use distributed version control system
 Breezy is a distributed version control system designed to be easy to
 use and intuitive, able to adapt to many workflows, reliable, and
 easily extendable.
 .
 Publishing of branches can be done over plain HTTP, that is, no special
 software is needed on the server to host Breezy branches. Branches can
 be pushed to the server via sftp (which most SSH installations come
 with), FTP, or over a custom and faster protocol if brz is installed in
 the remote end.
 .
 Merging in Breezy is easy, as the implementation is able to avoid many
 spurious conflicts, deals well with repeated merges between branches,
 and is able to handle modifications to renamed files correctly.
 .
 Install python-paramiko if you are going to push branches to remote
 hosts with sftp.

Package: python-breezy
Architecture: any
Section: python
Depends: python-configobj,
         ${misc:Depends},
         ${python:Depends},
         ${shlibs:Depends}
Recommends: ca-certificates,
            python-launchpadlib,
            ssh-client | python-paramiko
Conflicts: python-paramiko (<< 1.14.1)
Suggests: python-breezy-dbg,
          python-breezy.tests,
          python-fastimport,
          python-gpg,
          python-kerberos (>= 1.0+svn2455-1),
          python-paramiko,
          xdg-utils
Provides: ${python:Provides}
Description: distributed version control system - python library
 Breezy is a distributed version control system designed to be easy to
 use and intuitive, able to adapt to many workflows, reliable, and
 easily extendable.
 .
 This package contains the Breezy Python library.
 .
 Install python-paramiko for sftp transport support.

Package: python-breezy-dbg
Architecture: any
Section: debug
Depends: python-breezy (= ${binary:Version}),
         ${misc:Depends},
         ${python:Depends},
         ${shlibs:Depends}
Provides: ${python:Provides}
Recommends: python-dbg
Suggests: python-gpg-dbgsym,
          python-lzma-dbg,
          python-meliae-dbg
Description: distributed version control system - debug extension
 Breezy is a distributed version control system designed to be easy to
 use and intuitive, able to adapt to many workflows, reliable, and
 easily extendable.
 .
 This package contains the debug extension for the Breezy Python library.

Package: python-breezy.tests
Architecture: all
Section: python
Depends: python-breezy (<= ${source:Version}.1~),
         python-breezy (>= ${source:Version}),
         python-testtools (>= 0.9.5~),
         ${misc:Depends},
         ${python:Depends}
Suggests: python-subunit, python-pyftpdlib
Provides: ${python:Provides}
Replaces: python-breezy (<< 2.4.0~beta1-2)
Description: distributed version control system - testsuite
 Breezy is a distributed version control system designed to be easy to
 use and intuitive, able to adapt to many workflows, reliable, and
 easily extendable.
 .
 This package contains the breezy test infrastructure and testsuite,
 which is required to run the 'brz selftest' command and to run
 plugin tests.

Package: brz-doc
Architecture: all
Section: doc
Depends: ${misc:Depends},
         ${sphinxdoc:Depends}
Suggests: brz
Description: easy to use distributed version control system (documentation)
 Breezy is a distributed version control system designed to be easy to
 use and intuitive, able to adapt to many workflows, reliable, and
 easily extendable.
 .
 Publishing of branches can be done over plain HTTP, that is, no special
 software is needed on the server to host Breezy branches. Branches can
 be pushed to the server via sftp (which most SSH installations come
 with), FTP, or over a custom and faster protocol if brz is installed in
 the remote end.
 .
 Merging in Breezy is easy, as the implementation is able to avoid many
 spurious conflicts, deals well with repeated merges between branches,
 and is able to handle modifications to renamed files correctly.
 .
 This package provides the documentation.
