## breezy 3.0.0~bzr6833

=== debian/changelog ===
breezy (3.0.0~bzr6833-1) unstable; urgency=low

  * New upstream snapshot.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Mon, 04 Dec 2017 01:23:39 +0000
