=== debian/changelog ===
breezy (3.0.0~bzr6852-1) unstable; urgency=medium

  * New upstream snapshot.
  * Update homepage field.
  * debian/copyright: Fix order of paragraphs.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sun, 04 Feb 2018 13:14:39 +0000
