=== debian/rules ===
#!/usr/bin/make -f

# Get the supported Python versions
PYVERS = $(shell pyversions -r -v)
# Get the default Python version
PYVERSION = $(shell pyversions -d -v)

# Callable functions to determine the correct PYTHONPATH
pythonpath = $$(ls -d $(CURDIR)/build/lib.*-$(1))
pythonpath_dbg = $$(ls -d $(CURDIR)/build/lib_d.*-$(1) 2>/dev/null || ls -d $(CURDIR)/build/lib.*$(1)-pydebug)

%:
	dh $* --with python2,sphinxdoc,bash_completion  --buildsystem=python_distutils

ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
CONCURRENCY = BRZ_CONCURRENCY=$(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
endif

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	[ -d debian/brzhome ] || mkdir debian/brzhome
	$(CONCURRENCY) \
	BRZ_HOME=debian/brzhome \
	BRZ_PLUGIN_PATH=-site:-user \
	LC_ALL=C.UTF-8 \
	PYTHONPATH=$(wildcard $(CURDIR)/build/lib.*-$(PYVERSION)) \
	$(CURDIR)/build/scripts-$(PYVERSION)/brz -Derror selftest -v --parallel=fork
endif

override_dh_auto_clean:
	dh_auto_clean
	rm -rf debian/brzhome
	rm -f brzlib/*_pyx.c
	# It also doesn't really clean every thing...
	ls doc/en/user-reference/*txt | grep -v readme.txt | xargs rm -rf
	rm -rf doc/developers/make.bat \
		doc/developers/Makefile \
		doc/*/_build/ \
		doc/en/release-notes/index.txt

override_dh_install:
	find debian/tmp/ -name "*.pyc" | xargs rm -f
	find debian/tmp/ -name "*.pyo" | xargs rm -f
	mkdir -p debian/python-breezy.tests/usr/lib \
		debian/python-breezy.tests/usr/share/pyshared/breezy
	for py in $(shell pyversions -r); do \
		mkdir -p debian/python-breezy.tests/usr/lib/$$py/dist-packages/breezy; \
		mv debian/tmp/usr/lib/$$py/dist-packages/breezy/tests \
			debian/python-breezy.tests/usr/lib/$$py/dist-packages/breezy/tests; \
	done
	if [ -d debian/tmp/usr/share/locale ]; then \
		mkdir -p debian/python-breezy/usr/share; \
		mv debian/tmp/usr/share/locale debian/python-breezy/usr/share/locale; \
	fi;
	dh_install
	# Install the documentation; since html and txt and intermixed
	# under doc/, this is handier than trying to do it from brz-doc.install.
	( cd doc && find -name "*.txt" -not -wholename "*/_build/*" -print0 ) | \
		xargs -r0 -i'{}' -n1 install -D -m 644 'doc/{}' \
		"debian/brz-doc/usr/share/doc/brz/txt/{}"

override_dh_auto_missing:
	dh_missing --fail-missing

override_dh_auto_build:
	dh_auto_build
	PYTHONHASHSEED=0 $(MAKE) docs-sphinx

override_dh_compress:
	dh_compress -X.xvg -X.pdf

override_dh_strip:
	dh_strip -ppython-breezy --dbg-package=python-breezy-dbg

override_dh_link:
	# symlink identical resources.
	( cd debian/brz-doc/usr/share/doc && fdupes -o name -r1q . | while read s; do \
	      set -- $$(echo $$s | tr ' ' '\n' | sort); \
	      f=$$1; shift; \
	      for d; do \
		  ln -sf /usr/share/doc/"$$d" "$$f"; \
	      done; \
	done )
	dh_link

override_dh_sphinxdoc:
ifneq "$(shell dh_listpackages | grep -- -doc)" ""
	dh_sphinxdoc -X searchtools.js
endif
	# dh_sphinxdoc chokes if we delete the extra licence files before it runs.
	find debian/brz-doc/usr/share/doc/brz -name "licence.txt" -print | xargs rm -f
