=== debian/watch ===
version=3
opts="uversionmangle=s/rc/~rc/;s/b/.0~beta/,pgpsigurlmangle=s/$/.sig/" \
https://launchpad.net/brz/+download https://launchpad.net/brz/.*/brz-(.+).tar.gz
