## breezy 3.0.0~bzr7063

=== Makefile ===
--- 
+++ 
@@ -20,6 +20,7 @@
 
 ### Core Stuff ###
 
+SHELL=bash
 PYTHON?=python
 PYTHON3?=python3
 PYTHON24=python24
@@ -50,8 +51,8 @@
 	# Generate a stream for PQM to watch.
 	-$(RM) -f selftest.log
 	echo `date` ": selftest starts" 1>&2
-	BRZ_PLUGIN_PATH=$(BRZ_PLUGIN_PATH) $(PYTHON3) -Werror -Wignore::ImportWarning -Wignore::DeprecationWarning -O \
-	  ./brz selftest -Oselftest.timeout=120 --load-list=python3.passing \
+	set -o pipefail; BRZ_PLUGIN_PATH=$(BRZ_PLUGIN_PATH) $(PYTHON3) -Werror -Wignore::ImportWarning -Wignore::PendingDeprecationWarning -Wignore::DeprecationWarning -O \
+	  ./brz selftest -Oselftest.timeout=120 --load-list=python3.passing --strict \
 	  --subunit2 $(tests) | tee selftest.log | subunit-2to1
 	echo `date` ": selftest ends" 1>&2
 	# An empty log file should catch errors in the $(PYTHON3)
@@ -65,7 +66,7 @@
 	# Generate a stream for PQM to watch.
 	-$(RM) -f selftest.log
 	-BRZ_PLUGIN_PATH=$(BRZ_PLUGIN_PATH) $(PYTHON3) -Werror -Wignore::ImportWarning -Wignore::DeprecationWarning -O \
-	  ./brz selftest -Oselftest.timeout=120 \
+	  ./brz selftest -Oselftest.timeout=120 --strict \
 	  --subunit2 $(tests) > selftest.log
 	grep -v "^#" python3.passing > python3.passing.new
 	cat selftest.log | \
@@ -73,13 +74,14 @@
 	  subunit-ls --no-passthrough >> python3.passing.new
 	cp python3.passing python3.passing.old
 	grep "^#" python3.passing.old > python3.passing
-	sort -u python3.passing.new >> python3.passing
+	grep -Fvxf python3.flapping python3.passing.new > python3.passing.new.solid
+	sort -u python3.passing.new.solid >> python3.passing
 
 check-nodocs2: extensions
 	# Generate a stream for PQM to watch.
 	-$(RM) -f selftest.log
 	echo `date` ": selftest starts" 1>&2
-	BRZ_PLUGIN_PATH=$(BRZ_PLUGIN_PATH) $(PYTHON) -Werror -Wignore::ImportWarning -Wignore::DeprecationWarning -O \
+	set -o pipefail; BRZ_PLUGIN_PATH=$(BRZ_PLUGIN_PATH) $(PYTHON) -Werror -Wignore::ImportWarning -Wignore::DeprecationWarning -O \
 	  ./brz selftest -Oselftest.timeout=120 \
 	  --subunit2 $(tests) | tee selftest.log | subunit-2to1
 	echo `date` ": selftest ends" 1>&2
@@ -90,6 +92,18 @@
 	# Check that there were no errors reported.
 	subunit-stats < selftest.log
 
+check-ci: docs extensions
+	# FIXME: Remove -Wignore::FutureWarning once
+	# https://github.com/paramiko/paramiko/issues/713 is not a concern
+	# anymore -- vila 2017-05-24
+	set -o pipefail; \
+	BRZ_PLUGIN_PATH=$(BRZ_PLUGIN_PATH) $(PYTHON) -Werror -Wignore::FutureWarning -Wignore::DeprecationWarning -Wignore::ImportWarning -Wignore::ResourceWarning -O \
+	  ./brz selftest -v --parallel=fork -Oselftest.timeout=120 --subunit2 \
+	  | subunit-filter -s --passthrough --rename "^" "python2."; \
+	  BRZ_PLUGIN_PATH=$(BRZ_PLUGIN_PATH) $(PYTHON3) -Werror -Wignore::FutureWarning -Wignore::DeprecationWarning -Wignore::PendingDeprecationWarning -Wignore::ImportWarning -O \
+	  ./brz selftest -v --parallel=fork -Oselftest.timeout=120 --load-list=python3.passing --subunit2 \
+	  | subunit-filter -s --passthrough --rename "^" "python3."
+
 # Run Python style checker (apt-get install pyflakes)
 #
 # Note that at present this gives many false warnings, because it doesn't
@@ -108,7 +122,7 @@
 
 realclean: clean
 	# Remove files which are autogenerated but included by the tarball.
-	rm -f breezy/*_pyx.c
+	rm -f breezy/*_pyx.c breezy/bzr/*_pyx.c
 	rm -f breezy/_simple_set_pyx.h breezy/_simple_set_pyx_api.h
 
 # Build API documentation
@@ -150,6 +164,7 @@
 
 MAN_PAGES = man1/brz.1
 man1/brz.1: $(MAN_DEPENDENCIES)
+	mkdir -p $(dir $@)
 	$(PYTHON) tools/generate_docs.py -o $@ man
 
 
@@ -320,36 +335,3 @@
 	$(rst2html) --stylesheet=default.css $< $@
 
 doc/index.%.html: doc/index.%.txt
-	$(rst2html) --stylesheet=default.css $< $@
-
-%.html: %.txt
-	$(rst2html) --stylesheet=../../default.css $< "$@"
-
-doc/en/release-notes/NEWS.txt: $(NEWS_FILES) tools/generate_release_notes.py
-	$(PYTHON) tools/generate_release_notes.py "$@" $(NEWS_FILES)
-
-upgrade_guide_dependencies =  $(call sw,$(addsuffix /*.txt, doc/en/upgrade-guide))
-
-doc/en/upgrade-guide/index.html: $(upgrade_guide_dependencies)
-	$(rst2html) --stylesheet=../../default.css $(dir $@)index.txt $@
-
-derived_web_docs = $(htm_files) $(dev_htm_files) 
-WEB_DOCS = $(derived_web_docs) $(non_txt_files)
-ALL_DOCS = $(derived_web_docs) $(MAN_PAGES)
-
-# the main target to build all the docs
-docs-plain: $(ALL_DOCS)
-
-# produce a tree containing just the final docs, ready for uploading to the web
-HTMLDIR = html_docs
-html-plain: docs-plain
-	$(PYTHON) tools/win32/ostools.py copytree $(WEB_DOCS) $(HTMLDIR)
-
-# clean produced docs
-clean-plain:
-	$(PYTHON) tools/win32/ostools.py remove $(ALL_DOCS) \
-	    $(HTMLDIR) $(derived_txt_files)
-
-
-### Miscellaneous Documentation Targets ###
-
