=== debian/changelog ===
breezy (3.0.0~bzr7063-1) unstable; urgency=medium

  * New upstream snapshot.
   + Drop patch 02_diff_language: applied upstream.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Wed, 08 Aug 2018 02:57:13 +0100

breezy (3.0.0~bzr6988-1) unstable; urgency=medium

  * Fix Vcs-Bzr URL.
  * New upstream snapshot.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Fri, 15 Jun 2018 15:47:12 +0100

breezy (3.0.0~bzr6977-1) unstable; urgency=medium

  * New upstream snapshot.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Thu, 31 May 2018 01:19:35 +0100

breezy (3.0.0~bzr6964-1) unstable; urgency=medium

  * debian/tests: Run breezy rather than bazaar testsuite.
  * New upstream snapshot.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Mon, 14 May 2018 13:21:58 +0100

breezy (3.0.0~bzr6961-1) unstable; urgency=medium

  * New upstream snapshot.
   + Bundles git support. Add dependency on python-dulwich.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Thu, 10 May 2018 03:08:18 +0100

breezy (3.0.0~bzr6948-1) unstable; urgency=medium

  * Update Vcs-Bzr and Vcs-Browser headers.
  * New upstream snapshot.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sat, 05 May 2018 20:03:40 +0100

breezy (3.0.0~bzr6940-1) unstable; urgency=medium

  * Install the bash completion script.
  * New upstream snapshot.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sat, 07 Apr 2018 00:38:43 +0100

breezy (3.0.0~bzr6928-1) unstable; urgency=medium

  * New upstream snapshot.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Mon, 26 Mar 2018 02:04:52 +0100

breezy (3.0.0~bzr6876-1) unstable; urgency=medium

  * New upstream snapshot.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sun, 04 Mar 2018 19:29:40 +0000
