=== debian/control ===
--- 
+++ 
@@ -12,8 +12,9 @@
                python-all-dbg (>= 2.6.6-3),
                python-all-dev (>= 2.6.6-3),
                python-configobj (>= 4.7.2+ds-2),
+               python-dulwich (>= 0.19.1),
                python-docutils,
-               python-fastimport,
+               python-fastimport (>= 0.9.8),
                python-lzma-dbg [!m68k !powerpcspe !sh4],
                python-meliae-dbg,
                python-paramiko (<< 1.12.0) | python-paramiko (>= 1.14.1),
@@ -23,13 +24,13 @@
 Build-Conflicts: python-pyftpdlib
 Standards-Version: 4.1.1
 X-Python-Version: >= 2.7
-Vcs-Bzr: https://anonscm.debian.org/bzr/pkg-bazaar/breezy/3.0
-Vcs-Browser: https://bzr.debian.org/loggerhead/pkg-bazaar/breezy/3.0
+Vcs-Bzr: https://code.breezy-vcs.org/breezy/unstable
+Vcs-Browser: https://code.breezy-vcs.org/breezy/unstable
 Homepage: https://www.breezy-vcs.org/
 XS-Testsuite: autopkgtest
 
 Package: brz
-Recommends: python-gpg
+Recommends: python-gpg, python-dulwich (>= 0.19.1)
 Architecture: all
 Depends: python-breezy (<= ${source:Version}.1~),
          python-breezy (>= ${source:Version}),
@@ -38,7 +39,7 @@
 Conflicts: bzr (<< 2.7.0+bzr6622-1)
 Suggests: brz-doc,
           python-breezy.tests,
-          python-fastimport
+          python-fastimport (>= 0.9.8)
 Description: easy to use distributed version control system
  Breezy is a distributed version control system designed to be easy to
  use and intuitive, able to adapt to many workflows, reliable, and
@@ -66,7 +67,8 @@
          ${shlibs:Depends}
 Recommends: ca-certificates,
             python-launchpadlib,
-            ssh-client | python-paramiko
+            ssh-client | python-paramiko,
+            python-dulwich (>= 0.19.1)
 Conflicts: python-paramiko (<< 1.14.1)
 Suggests: python-breezy-dbg,
           python-breezy.tests,
