=== debian/tests/control ===
Tests: testsuite
Depends: brz, python-breezy.tests, python-subunit, ca-certificates, python-meliae, python-lzma, python-pycurl, python-medusa
Restrictions: allow-stderr
